<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number105</title>
</head>

<body>
			<h2> JavaScript Excercise </h2>
	
	<p> <b> No.105:</b> Write a JavaScript program to find the number of times to replace a given number with the sum of its digits until it convert to a single digit number.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
		<input type="number" id="num1" placeholder="Enter a Number" style="width: 200px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
		<pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num = + document.getElementById('num1').value;
		  var digitSum = function(num){
			  var digit_sum =0;
			  while (num){
				  digit_sum += num%10;
				  num = Math.floor(num/10);
			  }
			  return digit_sum;
		  };
		  var result = 0 ;
		  while (num>=10){
			  result += 1;
			  num = digitSum(num);
		  }
		  document.getElementById('demo').innerHTML=
			  "The Number is:<br>" + num + "<br>And times to replace it until convert to a single number:<br>" +
			  result;
	      }
	</script>
</body>
</html>
